package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 课程基本信息bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class CourseBasicBean implements Serializable {

    @ApiModelProperty(name = "课程名称")
    String courseName;

    @ApiModelProperty(name = "课程编码")
    String courseCode;

    @ApiModelProperty(name = "课程英文名称")
    String courseEnName;

    @ApiModelProperty(name = "课程性质")
    String courseType;

    @ApiModelProperty(name = "总学时/学分")
    String credit;

    @ApiModelProperty(name = "理论/实验")
    String theory;

    @ApiModelProperty(name = "评价样本范围")
    String sampleRange;

    @ApiModelProperty(name = "评价人")
    String people;

    @ApiModelProperty(name = "评价时间")
    String date;

    @ApiModelProperty(name = "课程目标")
    String courseTarget;

    @ApiModelProperty(name = "课程目标数")
    Integer courseTargetNum;

    @ApiModelProperty(name = "平时作业权重")
    BigDecimal usualScoreWeight;

    @ApiModelProperty(name = "期末考试权重")
    BigDecimal finalScoreWeight;

    public CourseBasicBean() {

    }

    public CourseBasicBean(String courseName, String courseCode, String courseEnName, String courseType, String credit
            , String theory, String sampleRange, String people, String date, String courseTarget, Integer courseTargetNum) {
        this.courseName = courseName;
        this.courseCode = courseCode;
        this.courseEnName = courseEnName;
        this.courseType = courseType;
        this.credit = credit;
        this.theory = theory;
        this.sampleRange = sampleRange;
        this.people = people;
        this.date = date;
        this.courseTarget = courseTarget;
        this.courseTargetNum = courseTargetNum;
    }

    public BigDecimal getUsualScoreWeight() {
        return usualScoreWeight;
    }

    public void setUsualScoreWeight(BigDecimal usualScoreWeight) {
        this.usualScoreWeight = usualScoreWeight;
    }

    public BigDecimal getFinalScoreWeight() {
        return finalScoreWeight;
    }

    public void setFinalScoreWeight(BigDecimal finalScoreWeight) {
        this.finalScoreWeight = finalScoreWeight;
    }

    public String getCourseTarget() {
        return courseTarget;
    }

    public void setCourseTarget(String courseTarget) {
        this.courseTarget = courseTarget;
    }

    public Integer getCourseTargetNum() {
        return courseTargetNum;
    }

    public void setCourseTargetNum(Integer courseTargetNum) {
        this.courseTargetNum = courseTargetNum;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseEnName() {
        return courseEnName;
    }

    public void setCourseEnName(String courseEnName) {
        this.courseEnName = courseEnName;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getTheory() {
        return theory;
    }

    public void setTheory(String theory) {
        this.theory = theory;
    }

    public String getSampleRange() {
        return sampleRange;
    }

    public void setSampleRange(String sampleRange) {
        this.sampleRange = sampleRange;
    }

    public String getPeople() {
        return people;
    }

    public void setPeople(String people) {
        this.people = people;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
